uniform mat4 mat_modelView;
uniform mat4 mat_projection;

uniform vec2 _texCoordScale;
uniform vec2 _texCoordOffset;

attribute vec3 _vertex;

attribute vec2 _texCoordIn;
varying vec2 _texCoordOut;

void main()
{
	_texCoordOut = (_texCoordIn * _texCoordScale) + _texCoordOffset;

	gl_Position = mat_projection * mat_modelView * vec4(_vertex, 1.0);
}